Subject: Getting Mac OS X to play nice with DEC OS's

From: "Zane H. Healy" <[email-masked]>
Date: Wed Jul 23 21:20:41 2003

Since there seem to be a few people on CLASSICCMP besides me running Mac OS X, I figure the following might be of interest.

One of my chief remaining complaints with Mac OS X has been getting X-Windows to play nicely with OpenVMS and other DEC OS's.  Normally I use a shell script to start up a xterm with the properly configured keyboard mappings, but that doesn't work under Mac OS X.  I'm used to having a fully functional keypad for editing files, and I can't live without it.  Well, I think I've finally got it about solved.  Simply do the following.

Dump your existing keyboard layout (twice):
xmodmap -pke > ~/.Xmodmap
xmodmap -pke > ~/.Xmodmap.orig

Change to the following keycodes in the ~/.Xmodmap
keycode  79 = KP_F1 
keycode  89 = KP_F2 
keycode  83 = KP_F3 
keycode  75 = KP_F4
keycode 127 = Select

Load your new .Xmodmap:
xmodmap ~/.Xmodmap

Add the following to ~/.Xdefaults
xterm*VT100.Translations: #override \
   <Key>BackSpace: string(0x7f)

If you actually need the normal X-Windows keyboard layout for some reason you can get it back by doing:
xmodmap ~/.Xmodmap.orig

So far I've tested this with TOPS-20, OpenVMS, and RT-11 and it seems to be working great.  I'm not sure if the function keys work right, as I don't really use them, but all the keys I use for editing do work.  My only complaint is that it doesn't support double-height text, but it's a lot cheaper solution than going out and buying a commercial terminal emulator that offers full support.

			Zane

-- 
--
| Zane H. Healy                    | UNIX Systems Administrator |
| [email-masked] (primary)    | OpenVMS Enthusiast         |
|                                  | Classic Computer Collector |
+----------------------------------+----------------------------+
|     Empire of the Petal Throne and Traveller Role Playing,    |
|          PDP-10 Emulation and Zane's Computer Museum.         |
|                http://www.aracnet.com/~healyzh/               |